[arch-commits] Commit in firefox/repos (9 files)
Ionut Biru
ibiru at archlinux.org
Sun Feb 5 21:34:38 UTC 2012
Date: Sunday, February 5, 2012 @ 16:34:38
Author: ibiru
Revision: 149125
db-move: moved firefox from [staging] to [testing] (x86_64)
Added:
firefox/repos/testing-x86_64/
firefox/repos/testing-x86_64/PKGBUILD
(from rev 149115, firefox/repos/staging-x86_64/PKGBUILD)
firefox/repos/testing-x86_64/firefox-install-dir.patch
(from rev 149115, firefox/repos/staging-x86_64/firefox-install-dir.patch)
firefox/repos/testing-x86_64/firefox.desktop
(from rev 149115, firefox/repos/staging-x86_64/firefox.desktop)
firefox/repos/testing-x86_64/firefox.install
(from rev 149115, firefox/repos/staging-x86_64/firefox.install)
firefox/repos/testing-x86_64/libvpx.patch
(from rev 149115, firefox/repos/staging-x86_64/libvpx.patch)
firefox/repos/testing-x86_64/mozconfig
(from rev 149115, firefox/repos/staging-x86_64/mozconfig)
firefox/repos/testing-x86_64/vendor.js
(from rev 149115, firefox/repos/staging-x86_64/vendor.js)
Deleted:
firefox/repos/staging-x86_64/
---------------------------+
PKGBUILD | 68 ++++++++++++++++++++++++++++++++++++
firefox-install-dir.patch | 28 +++++++++++++++
firefox.desktop | 81 ++++++++++++++++++++++++++++++++++++++++++++
firefox.install | 13 +++++++
libvpx.patch | 12 ++++++
mozconfig | 45 ++++++++++++++++++++++++
vendor.js | 9 ++++
7 files changed, 256 insertions(+)
Copied: firefox/repos/testing-x86_64/PKGBUILD (from rev 149115, firefox/repos/staging-x86_64/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2012-02-05 21:34:38 UTC (rev 149125)
@@ -0,0 +1,68 @@
+# $Id$
+# Contributor: Jakub Schmidtke <sjakub at gmail.com>
+
+pkgname=firefox
+pkgver=10.0
+pkgrel=2
+pkgdesc="Standalone web browser from mozilla.org"
+arch=('i686' 'x86_64')
+license=('MPL' 'GPL' 'LGPL')
+depends=('gtk2' 'mozilla-common' 'nss>=3.13.1' 'libxt' 'hunspell' 'startup-notification' 'mime-types' 'dbus-glib' 'alsa-lib' 'sqlite3' 'libnotify' 'desktop-file-utils' 'libvpx' 'libevent' 'hicolor-icon-theme')
+makedepends=('unzip' 'zip' 'pkg-config' 'diffutils' 'python2' 'wireless_tools' 'yasm' 'mesa' 'autoconf2.13' 'libidl2' 'xorg-server-xvfb')
+url="http://www.mozilla.org/projects/firefox"
+install=firefox.install
+source=(ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/$pkgver/source/firefox-$pkgver.source.tar.bz2
+ mozconfig firefox.desktop firefox-install-dir.patch vendor.js
+ libvpx.patch)
+md5sums=('13c61203ccfa583e5a54b4dc22f41233'
+ '4b925c654eb2484e26d08f743df118fa'
+ 'bdeb0380c7fae30dd0ead6d2d3bc5873'
+ '594523c536a9be951b52c90dd85aff18'
+ '0d053487907de4376d67d8f499c5502b'
+ '5d418ecdbdb9f40597df6b978b0b5ee5')
+
+build() {
+ cd "$srcdir/mozilla-release"
+
+ cp "$srcdir/mozconfig" .mozconfig
+ patch -Np1 -i "$srcdir/firefox-install-dir.patch"
+ patch -Np1 -i "$srcdir/libvpx.patch"
+
+ # Fix PRE_RELEASE_SUFFIX
+ sed -i '/^PRE_RELEASE_SUFFIX := ""/s/ ""//' \
+ browser/base/Makefile.in
+
+ export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/firefox"
+ export PYTHON="/usr/bin/python2"
+
+ LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 :99 &
+ LD_PRELOAD="" DISPLAY=:99 make -j1 -f client.mk profiledbuild MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ kill $! || true
+}
+
+package() {
+ cd "$srcdir/mozilla-release"
+ make -j1 -f client.mk DESTDIR="$pkgdir" install
+
+ install -m644 "$srcdir"/vendor.js "$pkgdir/usr/lib/firefox/defaults/pref"
+
+ for i in 16x16 22x22 24x24 32x32 48x48 256x256; do
+ install -Dm644 browser/branding/official/default${i/x*/}.png \
+ "$pkgdir/usr/share/icons/hicolor/$i/apps/firefox.png"
+ done
+
+ install -Dm644 "$srcdir/firefox.desktop" \
+ "$pkgdir/usr/share/applications/firefox.desktop"
+
+ rm -rf "$pkgdir"/usr/lib/firefox/{dictionaries,hyphenation}
+ ln -sf /usr/share/hunspell "$pkgdir/usr/lib/firefox/dictionaries"
+ ln -sf /usr/share/hyphen "$pkgdir/usr/lib/firefox/hyphenation"
+
+
+ # We don't want the development stuff
+ rm -r "$pkgdir"/usr/{include,lib/firefox-devel,share/idl}
+
+ #workaround for now
+ #https://bugzilla.mozilla.org/show_bug.cgi?id=658850
+ ln -sf firefox "$pkgdir/usr/lib/firefox/firefox-bin"
+}
Copied: firefox/repos/testing-x86_64/firefox-install-dir.patch (from rev 149115, firefox/repos/staging-x86_64/firefox-install-dir.patch)
===================================================================
--- testing-x86_64/firefox-install-dir.patch (rev 0)
+++ testing-x86_64/firefox-install-dir.patch 2012-02-05 21:34:38 UTC (rev 149125)
@@ -0,0 +1,28 @@
+diff -Nur mozilla-release.orig/config/autoconf.mk.in mozilla-release/config/autoconf.mk.in
+--- mozilla-release.orig/config/autoconf.mk.in 2011-11-06 14:06:44.462920048 +0000
++++ mozilla-release/config/autoconf.mk.in 2011-11-06 14:20:45.124169469 +0000
+@@ -68,8 +68,8 @@
+ mandir = @mandir@
+ idldir = $(datadir)/idl/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+
+-installdir = $(libdir)/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+-sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel-$(MOZ_APP_VERSION)
++installdir = $(libdir)/$(MOZ_APP_NAME)
++sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel
+
+ DIST = $(DEPTH)/dist
+ LIBXUL_SDK = @LIBXUL_SDK@
+diff -Nur mozilla-release.orig/js/src/config/autoconf.mk.in mozilla-release/js/src/config/autoconf.mk.in
+--- mozilla-release.orig/js/src/config/autoconf.mk.in 2011-11-06 14:06:45.586263727 +0000
++++ mozilla-release/js/src/config/autoconf.mk.in 2011-11-06 14:21:01.770993669 +0000
+@@ -61,8 +61,8 @@
+ datadir = @datadir@
+ mandir = @mandir@
+
+-installdir = $(libdir)/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+-sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel-$(MOZ_APP_VERSION)
++installdir = $(libdir)/$(MOZ_APP_NAME)
++sdkdir = $(libdir)/$(MOZ_APP_NAME)-devel
+
+ TOP_DIST = @TOP_DIST@
+ ifneq (,$(filter /%,$(TOP_DIST)))
Copied: firefox/repos/testing-x86_64/firefox.desktop (from rev 149115, firefox/repos/staging-x86_64/firefox.desktop)
===================================================================
--- testing-x86_64/firefox.desktop (rev 0)
+++ testing-x86_64/firefox.desktop 2012-02-05 21:34:38 UTC (rev 149125)
@@ -0,0 +1,81 @@
+[Desktop Entry]
+Name=Firefox
+Name[bn]=ফায়ারফক্স
+Name[eo]=Fajrovulpo
+Name[fi]=Firefox
+Name[pa]=ਫਾਇਰਫੋਕਸ
+Name[tg]=Рӯбоҳи оташин
+GenericName=Web Browser
+GenericName[af]=Web Blaaier
+GenericName[ar]=متصفح ويب
+GenericName[az]=Veb Səyyahı
+GenericName[bg]=Браузър
+GenericName[bn]=ওয়েব ব্রাউজার
+GenericName[br]=Furcher ar Gwiad
+GenericName[bs]=WWW Preglednik
+GenericName[ca]=Fullejador web
+GenericName[cs]=WWW prohlížeč
+GenericName[cy]=Porydd Gwe
+GenericName[da]=Browser
+GenericName[de]=Web-Browser
+GenericName[el]=Περιηγητής Ιστού
+GenericName[eo]=TTT-legilo
+GenericName[es]=Navegador web
+GenericName[et]=Veebilehitseja
+GenericName[eu]=Web arakatzailea
+GenericName[fa]=مرورگر وب
+GenericName[fi]=WWW-selain
+GenericName[fo]=Alnótsfar
+GenericName[fr]=Navigateur web
+GenericName[gl]=Navegador Web
+GenericName[he]=דפדפן אינטרנט
+GenericName[hi]=वेब ब्राउज़र
+GenericName[hr]=Web preglednik
+GenericName[hu]=Webböngésző
+GenericName[is]=Vafri
+GenericName[it]=Browser Web
+GenericName[ja]=ウェブブラウザ
+GenericName[ko]=웹 브라우저
+GenericName[lo]=ເວັບບຣາວເຊີ
+GenericName[lt]=Žiniatinklio naršyklė
+GenericName[lv]=Web Pārlūks
+GenericName[mk]=Прелистувач на Интернет
+GenericName[mn]=Веб-Хөтөч
+GenericName[nb]=Nettleser
+GenericName[nds]=Nettkieker
+GenericName[nl]=Webbrowser
+GenericName[nn]=Nettlesar
+GenericName[nso]=Seinyakisi sa Web
+GenericName[pa]=ਵੈਬ ਝਲਕਾਰਾ
+GenericName[pl]=Przeglądarka WWW
+GenericName[pt]=Navegador Web
+GenericName[pt_BR]=Navegador Web
+GenericName[ro]=Navigator de web
+GenericName[ru]=Веб-браузер
+GenericName[se]=Fierpmádatlogan
+GenericName[sk]=Webový prehliadač
+GenericName[sl]=Spletni brskalnik
+GenericName[sr]=Веб претраживач
+GenericName[sr at Latn]=Veb pretraživač
+GenericName[ss]=Ibrawuza yeWeb
+GenericName[sv]=Webbläsare
+GenericName[ta]=வலை உலாவி
+GenericName[tg]=Тафсиргари вэб
+GenericName[th]=เว็บบราวเซอร์
+GenericName[tr]=Web Tarayıcı
+GenericName[uk]=Навігатор Тенет
+GenericName[uz]=Веб-браузер
+GenericName[ven]=Buronza ya Webu
+GenericName[vi]=Trình duyệt Web
+GenericName[wa]=Betchteu waibe
+GenericName[xh]=Umkhangeli zincwadi we Web
+GenericName[zh_CN]=网页浏览器
+GenericName[zh_TW]=網頁瀏覽器
+GenericName[zu]=Umcingi we-Web
+Exec=firefox %u
+Icon=firefox
+Terminal=false
+Type=Application
+MimeType=text/html;text/xml;application/xhtml+xml;application/vnd.mozilla.xul+xml;text/mml;x-scheme-handler/http;x-scheme-handler/https;
+StartupNotify=true
+Categories=Network;WebBrowser;
Copied: firefox/repos/testing-x86_64/firefox.install (from rev 149115, firefox/repos/staging-x86_64/firefox.install)
===================================================================
--- testing-x86_64/firefox.install (rev 0)
+++ testing-x86_64/firefox.install 2012-02-05 21:34:38 UTC (rev 149125)
@@ -0,0 +1,13 @@
+post_install() {
+ update-desktop-database -q
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}
+
Copied: firefox/repos/testing-x86_64/libvpx.patch (from rev 149115, firefox/repos/staging-x86_64/libvpx.patch)
===================================================================
--- testing-x86_64/libvpx.patch (rev 0)
+++ testing-x86_64/libvpx.patch 2012-02-05 21:34:38 UTC (rev 149125)
@@ -0,0 +1,12 @@
+diff -Nur mozilla-release.orig/configure.in mozilla-release/configure.in
+--- mozilla-release.orig/configure.in 2012-02-05 16:01:35.722024142 +0000
++++ mozilla-release/configure.in 2012-02-05 16:03:34.871064547 +0000
+@@ -5629,7 +5629,7 @@
+ dnl v0.9.6 one to check for.
+ AC_TRY_COMPILE([
+ #include <vpx/vpx_decoder.h>
+- #if !defined(VPX_CODEC_USE_INPUT_PARTITION)
++ #if !defined(VPX_CODEC_USE_INPUT_FRAGMENTS)
+ #error "test failed."
+ #endif
+ ],
Copied: firefox/repos/testing-x86_64/mozconfig (from rev 149115, firefox/repos/staging-x86_64/mozconfig)
===================================================================
--- testing-x86_64/mozconfig (rev 0)
+++ testing-x86_64/mozconfig 2012-02-05 21:34:38 UTC (rev 149125)
@@ -0,0 +1,45 @@
+. $topsrcdir/browser/config/mozconfig
+
+ac_add_options --prefix=/usr
+ac_add_options --libdir=/usr/lib
+
+# System libraries
+ac_add_options --with-system-nspr
+ac_add_options --with-system-nss
+ac_add_options --with-system-jpeg
+ac_add_options --with-system-zlib
+ac_add_options --with-system-bz2
+ac_add_options --with-system-png
+ac_add_options --with-system-libevent
+ac_add_options --with-system-libvpx
+ac_add_options --enable-system-hunspell
+ac_add_options --enable-system-sqlite
+ac_add_options --enable-system-ffi
+ac_add_options --enable-system-cairo
+ac_add_options --enable-system-pixman
+ac_add_options --with-pthreads
+
+# Features
+ac_add_options --enable-official-branding
+ac_add_options --enable-safe-browsing
+ac_add_options --enable-startup-notification
+ac_add_options --enable-gio
+
+ac_add_options --disable-gnomevfs
+ac_add_options --disable-crashreporter
+ac_add_options --disable-updater
+ac_add_options --disable-tests
+ac_add_options --disable-mochitest
+ac_add_options --disable-installer
+
+# Optimization
+ac_add_options --enable-optimize
+
+# PGO
+ac_add_options --enable-profile-guided-optimization
+mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/ff-pgo
+mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py'
+mk_add_options PYTHONPATH='$(OBJDIR)/_profile/pgo'
+
+export MOZILLA_OFFICIAL=1
+mk_add_options MOZILLA_OFFICIAL=1
Copied: firefox/repos/testing-x86_64/vendor.js (from rev 149115, firefox/repos/staging-x86_64/vendor.js)
===================================================================
--- testing-x86_64/vendor.js (rev 0)
+++ testing-x86_64/vendor.js 2012-02-05 21:34:38 UTC (rev 149125)
@@ -0,0 +1,9 @@
+// Use LANG environment variable to choose locale
+pref("intl.locale.matchOS", true);
+
+// Disable default browser checking.
+pref("browser.shell.checkDefaultBrowser", false);
+
+// Don't disable our bundled extensions in the application directory
+pref("extensions.autoDisableScopes", 11);
+pref("extensions.shownSelectionUI", true);
More information about the arch-commits
mailing list